<?php
 
session_start();
$com = "A";
include("DMMYSQLG.php");
include("DSA3000.php");
include("DMMYSQLG.php");
require_once("DF30000.inc");
require_once("DF80000.php");
require_once("DFMOVCAP.inc");
require_once("DFJQUERY.inc");
require_once("DFSELMAN.inc");
require_once("DFJSISCI.inc");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<link rel="stylesheet" href="DSSTYLESCOM.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<script language="javascript">
$(document).ready(function(){
	function formatItem(row) {
		return " (<strong>" + row[1] + "</strong>)"+row[0];
	}
	var pagRes='DYAUTRESE.php';
	var idObjDes='des_ope';
	var idObjCve='id_ope';
	var nomObjRad='tip_bus_ope';
	var objSelCla=new SelectManager('cla_rec');
	$("#"+idObjDes).autocomplete(pagRes,{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		max:20,                      //maximo de resultados mostrados, se manda como limit en autosugestion
		cacheLength: 0,
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		formatItem:formatItem,	     //formato de presentacion de las posibles busquedas
		extraParams:{typeRequest:'ac',tipBus:'d',cr:function(){return objSelCla.getSelectedValue();}}  //Parametros Extra a Mandar en autosugestion
	});
	$("#"+idObjCve).autocomplete(pagRes,{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		max:20,                      //maximo de resultados mostrados, se manda como limit en autosugestion
		cacheLength: 0,
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		formatItem:formatItem,       //formato de presentacion de las posibles busquedas
		formatResult:function(row){  //formato de seleccion de busqueda
			return row[1];
		},	                        
		extraParams:{typeRequest:'ac',tipBus:'c',cr:function(){return objSelCla.getSelectedValue();}}     //Parametros Extra a Mandar en autosugestion
	});
	$("#"+idObjCve).result(function(event, data, formatted){
		$("#"+idObjDes).val(data[0]);
		$("#"+idObjDes).focus();
		$("#id_ope1").val(data[2]);
	});	
	$("#"+idObjDes).result(function(event, data, formatted){
		$("#"+idObjCve).val(data[1]);
		$("#id_ope1").val(data[2]);
	});	
	$("input[@name="+nomObjRad+"]").click(function(){
		$("#"+idObjDes).setOptions({
			extraParams:{
				typeRequest:'ac',
				tipBusCat:getValRadChe(nomObjRad)
			}
		});
	});
	$('#cla_rec').change(function(){
		$('#id_ope1').val('');
		$('#id_ope').val('');		
		$('#des_ope').val('');		
	});
	$('#agregar').click(function(){
		var objFec=new SelectManager('fec_men');
		ge('act_but').value='agregar';
		ajaxRequest('RC41100_AGDET-SRV.php',{
			opg:'rr',
			idr:ge('id_ope1').value,
			idm:ge('bot').value,
			fem:objFec.getSelectedValue()
		},{
			okLoad:function(datos){
				//alert(datos);
				if(datos!='0'){
					if(confirm('La Receta ya esta agregada\nDesea Continuar?'))
						openpage('','_self');	
				}else if(datos=='0')
					openpage('','_self');	
			}
		});	
	});
});

</script>

<body>
<? 
/*Verifica que exista Variable contenedora del Id del Encabezado*/	
if (!isset($_REQUEST['bot'])){
	echo '<h2>!!! SELECCIONA UN REGISTRO... ACTUALIZANDO !!!</h2>';
	echo '<meta content="1; url=RC41100_PR.php"  HTTP-EQUIV="REFRESH">';
	exit();
}
/****************************************************************/

/*Llena Variable para verificar si esta en modo Update*/
if(!isset($_POST['block_mod'])){
	$bMod=false;			//Bandera de modificar, bloquea pagina en modo Modificar esperando el evento que la cambie de estado
	$bSel='';				//Id registro a modificar
}
else{
	$bMod=$_POST['block_mod'];
	$bSel=$_POST['reg_mod'];
}
/****************************************************/

$bModPri=false;					//Bandera de Modificar(True solo En el Primer Bloqueo o recarga de pagina en modo Modificar)
$id_menu=$_REQUEST["bot"]; 	//Id de Encabezado
$id_detfac=$_POST['bot_det'];	//Id de Detalle (si se selecciono alguno)

/*Crear Objetos Necesarios para Manipular Encabezado y Detalle*/
include('RC41100_CL.php');
$dataEnc['idMenU']=$id_menu;
$dataDet['idMen']=$id_menu;
$dataDet['idDedMen']=$id_detfac;
$recEtas = new menU($dataEnc);
$dedRecs = new dedMen($dataDet);
/************************************************************/

/*Recuperar Información de Encabezado y la coloca en los objetos HTML*/
$res=$recEtas->busReg();
$dt_enrecEta=mysqli_fetch_array($res);
$dt_comedor=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM rccomedores WHERE id_comedor='".$dt_enrecEta['id_comedor']."'"));
$_REQUEST['cve_emp']=$dt_comedor['cve_comedor']; 
$_REQUEST['nom_emp']=$dt_comedor['des_comedor']; 
$_REQUEST['fec_ini']=chfecha($dt_enrecEta['fec_ini'],'Y-m-d','d/m/Y');
$_REQUEST['fec_fin']=chfecha($dt_enrecEta['fec_fin'],'Y-m-d','d/m/Y');
$_REQUEST['fec_alt']=chfecha($dt_enrecEta['fec_alt'],'Y-m-d','d/m/Y');
$_REQUEST['fec_baj']=chfecha($dt_enrecEta['fec_baj'],'Y-m-d','d/m/Y');
$_REQUEST['fec_cam']=chfecha($dt_enrecEta['fec_cam'],'Y-m-d','d/m/Y');
$_REQUEST['cve_uni']=$dt_enrecEta['unid_rec'];
$_REQUEST['porc_men']=$dt_enrecEta['porc_men'];
//$_REQUEST['cos_inv']=number_format($dt_enrecEta['cosInv'],2,'.',',');
//$_REQUEST['pre_rec']=number_format($dt_enrecEta['preRec'],2,'.',',');
//$_REQUEST['tot_fac']=number_format($dt_enrecEta['totFac'],2,'.',',');
/******************************************************************/

/*Verificamos Si es la Primer Carga de La Pagina por si es necesario realizar alguna accion*/
if(!isset($_POST['RC41100_AGDET'])){
	 $_REQUEST['cantidad']=$dt_enrecEta['porc_men'];
}
/************************************************/

/*Bloque de condiciones para Realizar las distintas operaciones sobre el detalle*/
if($_POST['act_but']=='agregar' && $_POST['id_ope1']!=""){
	//codigo agregar
	$dataDet['idMen']=$id_menu;
	$dataDet['idDedMen']=$_POST['id_dedmen'];
	$dataDet['idRecEta']=$_POST['id_ope1'];
	$dataDet['canRec']=$_POST['cantidad'];
	$dataDet['fecMen']=$_POST['fec_men'];
	$dataDet['idClaRec']=$_POST['cla_rec'];

	$dedRecs->resetData($dataDet);
	
	$dt_revrec=$dedRecs->revRecMen();
	
	/*if($dt_revrec['numRows']>0){
		echo "<script languaje=\"javascript\">alert('Receta Ya Agregada!')</script>";
	}else*/
		$rs=$dedRecs->agregar();
	if($rs){
	
	    $_REQUEST['id_men']  ='';
	    $_REQUEST['id_dedmen']  ='';
		$_REQUEST['can_rec']  ='';
		$_REQUEST['id_ope']  ='';		
		$_REQUEST['id_ope1']  ='';				
		$_REQUEST['des_ope']  ='';						
	}
}
elseif(isset($_POST['modificar']) && isset($_POST['bot_det'])){
	//Recupera Registro de Detalle y coloca los valores en los objetos HTML
	//Cambia la bandera de modificar a True y llena la variable que contiene el id del registro a modificar
	$dt_detfacMod= mysqli_fetch_array($dedRecs->busRegAli());
	//echo $dt_detfacMod['can_rec'];
	$dt_invent=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM rcreceta WHERE id_receta='".$dt_detfacMod['id_ope']."'"));
	//echo "SELECT * FROM dginvent WHERE nparte1='".$dt_detfacMod['id_ope']."'";
	//$_REQUEST['id_rec']=$dt_detfacMod['id_rec'];
	//$_REQUEST['id_dedrec']=$dt_detfacMod['id_dedrec'];
	$_REQUEST['cantidad']=$dt_detfacMod['porMen'];
	$_REQUEST['id_ope1']=$dt_detfacMod['idReceta'];
	$_REQUEST['fec_men']=$dt_detfacMod['fecMen'];	
	$_REQUEST['des_ope']=$dt_detfacMod['desReceta'];
	$_REQUEST['id_ope']=$dt_detfacMod['cveReceta'];			
	$_REQUEST['cla_rec']=$dt_detfacMod['idClaRec'];			
	
	$bSel=$_REQUEST['bot_det'];		
	$bModPri=true;
	$bMod=true;
}
elseif(isset($_POST['eliminar']) && isset($_POST['bot_det'])){
	//codigo eliminar
	$rs=$dedRecs->eliminar();
	$bSel=0;
}
elseif(isset($_POST['modificarReg'])){
	//Modificar el registro con id contenido en $bSel, posteriormente limpia $bSel
	//Cambia la bandera de modificar a False
	$dataDet['idDedMen']=$bSel;
	$dataDet['idRecEta']=$_POST['id_ope1'];
	$dataDet['canRec']=$_POST['cantidad'];
	$dataDet['fecMen']=$_POST['fec_men'];
	$dataDet['idClaRec']=$_POST['cla_rec'];
	$dedRecs->resetData($dataDet);
	$rs=$dedRecs->modificar();
	$_REQUEST['cantidad']='';
	$bMod=false;
	$bSel='';
	if($rs){	
	    $_REQUEST['id_men']  ='';
	    $_REQUEST['id_dedmen']  ='';
		$_REQUEST['can_rec']  ='';
		$_REQUEST['id_ope']  ='';		
		$_REQUEST['id_ope1']  ='';				
		$_REQUEST['des_ope']  ='';						
	}
}elseif(isset($_POST['terminarCaptura'])){
		echo '<meta content="0; url=RC41100_PR.php"  HTTP-EQUIV="REFRESH">';		
		mysqli_close();
		exit();
}

/*Si Se Realizaron Operaciones sobre detalle actualiza Totales Factura*/
/****************************************************************/

/*Busca los Registros pertenecientes al encabezado en cuestion*/
$sq_detfac=$dedRecs->busByEncAli();

/*************************************************************/
?>
<form name="frm1" method="post" action="RC41100_AGDET.php">
<input type="hidden" name="RC41100_AGDET" id="RC41100_AGDET" value="RC41100_AGDET.php">
<input type="hidden" name="bot" id="bot" value="<? echo $_REQUEST['bot'];?>">
<input type="hidden" name="reg_mod" id="reg_mod" value="<? echo $bSel;?>">
<input type="hidden" name="block_mod" id="block_mod" value="<? echo $bMod;?>">

<input type="hidden" name="act_but" id="act_but" value="">
<table border="0" align="center">
  <tr>
    <th colspan="6">Alta Detalle Menu </th>
  </tr>
  <tr>
    <td nowrap  class="priDat">Comedor:</td>
    <td colspan="5" nowrap  class="priSec">Cve:
      <label>
        <input name="id_emp" type="hidden" id="id_emp" size="15" value="<? echo $_REQUEST['id_emp'];?>">
        <input name="cve_emp" type="text" id="cve_emp" size="15" value="<? echo $_REQUEST['cve_emp'];?>">
        Nom:
        <input name="nom_emp" type="text" id="nom_emp" size="50" value="<? echo $_REQUEST['nom_emp'];?>">
      </label></td>
  </tr>
  <tr>
    <td colspan="3" nowrap  class="priDat"><label></label>
        <label></label>
        <label>Del
          <input name="fec_ini" type="text" class="agrega" id="fec_ini" size="10"
		  <?php
 
			  if(isset($_REQUEST['fec_ini'])){
			  	echo 'value="'.$_REQUEST['fec_ini'].'"'; 
			  }else{
			  	echo 'value="'.date('d/m/Y').'"'; 
			  }
			  ?>
		  >
        <input name="botini" id="botini" type="image" value="Cal" src="logos/cal4.jpg" />
        <script type="text/javascript">
      Calendar.setup(
	{
		inputField  : "fec_ini",       // ID del cuadro de texto
		ifFormat    : "%d/%m/%Y",   // formato de la fecha
		button      : "botini"      	// ID del boton
	}
);
      </script>
          al
          <input name="fec_fin" type="text" class="agrega" id="fec_fin" size="10"
		  <?php
 
			  if(isset($_REQUEST['fec_fin'])){
			  	echo 'value="'.$_REQUEST['fec_fin'].'"'; 
			  }else{
			  	echo 'value="'.date('d/m/Y').'"'; 
			  }
			  ?>
		  >
          <input name="botfin" id="botfin" type="image" value="Cal" src="logos/cal4.jpg" />
          <script type="text/javascript">
      Calendar.setup(
	{
		inputField  : "fec_fin",       // ID del cuadro de texto
		ifFormat    : "%d/%m/%Y",   // formato de la fecha
		button      : "botfin"      	// ID del boton
	}
);
      </script>
      </label></td>
    <td nowrap  class="priDat">Tipo Alimento: </td>
    <td colspan="2" nowrap  class="priDat"><select name="cve_uni" id="cve_uni" tabindex="6">
      <option></option>
      <?php
 
	  	(!isset($_REQUEST['cve_uni']))?($selTipAli='1'):($selTipAli=$_REQUEST['cve_uni']);
		 $result = mysqli_query($con ,"SELECT * FROM rctipali ORDER BY des_tipali");
		while($dato = mysqli_fetch_array ($result) ){ 
			if($selTipAli==$dato['id_tipali']){
				echo '<option value= "' . $dato['id_tipali'] . '" selected>' .$dato['cve_tipali'].' '.$dato['des_tipali'] .' </option>'; 
			}else{
				echo '<option value= "' . $dato['id_tipali'] . '">' .$dato['cve_tipali'].' '.$dato['des_tipali'] .' </option>'; 
			}
		}
		?>
    </select></td>
  </tr>
  <tr>
    <td nowrap class="priSec">Pax:</td>
    <td colspan="5" nowrap class="priSec"><input name="porc_men" type="text" id="porc_men" size="10" value="<? echo $_REQUEST['porc_men'];?>"></td>
  </tr>
  <tr>
    <td nowrap class="backFec">Fecha Alta:
      <div align="center"></div></td>
    <td nowrap class="backFec"><input name="fec_alt" type="text" class="fieldFec" id="fec_alt" size="15"
		  <?php
 
			  if(isset($_REQUEST['fec_alt'])){
			  	echo 'value="'.$_REQUEST['fec_alt'].'"'; 
			  }else{
			  	echo 'value="'.date('d/m/Y').'"'; 
			  }
			  ?>
		  >
      <input name="bot2" id="bot1" type="image" value="Cal" src="logos/cal4.jpg" /></td>
    <script type="text/javascript">
      Calendar.setup(
	{
		inputField  : "fec_alt",       // ID del cuadro de texto
		ifFormat    : "%d/%m/%Y",   // formato de la fecha
		button      : "bot1"      	// ID del boton
	}
);
      </script>
    <td nowrap class="backFec">Fecha Baja:</td>
    <td nowrap class="backFec"><input name="fec_baj" type="text" class="fieldFec" id="fec_baj" size="15"
		   <?php
 
			  if(isset($_REQUEST['fec_baj'])){
			  	echo 'value="'.$_REQUEST['fec_baj'].'"'; 
			  }else{
			  	echo 'value="'.date('d/m/Y').'"'; 
			  }
			  ?>
		  >
        <input name="bot2" id="bot2" type="image" value="Cal" src="logos/cal4.jpg" /></td>
    <script type="text/javascript">
      Calendar.setup(
	{
		inputField  : "fec_baj",       // ID del cuadro de texto
		ifFormat    : "%d/%m/%Y",   // formato de la fecha
		button      : "bot2"      	// ID del boton
	}
);
      </script>
    <td nowrap class="backFec">Fecha Cambio: </td>
    <td nowrap class="backFec"><input name="fec_cam" type="text" class="fieldFec" id="fec_cam" size="15"
		 <?php
 
			  if(isset($_REQUEST['fec_cam'])){
			  	echo 'value="'.$_REQUEST['fec_cam'].'"'; 
			  }else{
			  	echo 'value="'.date('d/m/Y').'"'; 
			  }
			  ?>>
        <input name="bot3" id="bot3" type="image" value="Cal" src="logos/cal4.jpg" />
        <label></label></td>
    <script type="text/javascript">
      Calendar.setup(
	{
		inputField  : "fec_cam",       // ID del cuadro de texto
		ifFormat    : "%d/%m/%Y",   // formato de la fecha
		button      : "bot3"      	// ID del boton
	}
);
      </script>
  </tr>
</table>
<br>
<table border="0" align="center">
    <tr>
      <td nowrap class="agrDet">D&iacute;a:
        <label>
        <select name="fec_men" id="fec_men">
		<?php

		$auxFecIni=$dt_enrecEta['fec_ini'];
		(!isset($_REQUEST['fec_men']))?($selFecMen=$auxFecIni):($selFecMen=$_REQUEST['fec_men']);
		while(dateCmp($auxFecIni,$dt_enrecEta['fec_fin'])<=0){
			($selFecMen==$auxFecIni)?($selected="selected"):($selected="");
			echo "<option value=\"$auxFecIni\" $selected>".str_pad(whatDay($auxFecIni),"11","_",STR_PAD_RIGHT)." ".chfecha($auxFecIni,'Y-m-d','d/m/Y')."</option>";
			$auxFecIni=addDay($auxFecIni,1);
		}
		?>
        </select>
      </label></td>
      <td nowrap class="agrDet">Tiempo:
        <select name="cla_rec" id="cla_rec">
          <?php

		(!isset($_REQUEST['cla_rec']))?($selClaRec='1'):($selClaRec=$_REQUEST['cla_rec']);
		$sq_clarec=mysqli_query($con ,"SELECT * from rcclarec order by des_clarec");
		while($dt_clarec=mysqli_fetch_array($sq_clarec)){
			($selClaRec==$dt_clarec['id_clarec'])?($selected="selected"):($selected="");
			echo "<option value=\"$dt_clarec['id_clarec']\" $selected>$dt_clarec['cve_clarec'] $dt_clarec['des_clarec']</option>";			
		}
		?>
        </select></td>
      <td nowrap  class="agrDet" > Can.:
        <input name="cantidad" type="text" id="cantidad"  value="<? echo $_REQUEST['cantidad'];?>" size="10"></td>
    </tr>
    <tr>
      <td colspan="3" nowrap  class="agrDet"><label>Receta:
	  
          <input name="id_ope1" type="hidden" id="id_ope1" size="10" value="<? echo trim($_REQUEST['id_ope1']);?>">	  
          <input name="id_ope" type="text" id="id_ope" size="10" value="<? echo trim($_REQUEST['id_ope']);?>">
      </label>
      <label></label>      <label>
          <input name="des_ope" type="text" id="des_ope" size="50" value="<? echo trim($_REQUEST['des_ope']);?>">
          <input name="tip_bus_ope" type="radio" value="c">
Cve.
<input name="tip_bus_ope" type="radio" value="d" checked>
Des.      </label></td>
    </tr>
    <tr>
      <td colspan="3" nowrap  class="agrDet"><div align="center"><?php

		  	if($bMod){
				echo ' <input name="modificarReg" type="submit" id="modificarReg" value="Modificar">';
			}else{
				echo ' <input name="agregar" type="button" id="agregar" value="Agregar">';
			}
		  ?></div></td>
    </tr>
  </table>
<br>
  <table border="0" cellspacing="4" align="center" id="tableDetail">
    <tr style="#E9E9E9">
      <td colspan="7">
        <div align="center">
		<?php

			if(!$bMod){
				echo '  <input name="eliminar" type="submit" id="eliminar" value="Eliminar">
          				<input name="modificar" type="submit" id="modificar" value="Modificar">';
			}else{
				echo ' <input name="eliminar" disabled type="submit" id="eliminar" value="Eliminar">';
			}
		?>	
       </div>     </td>
    </tr>
    
	
	<tr style="#999999">
      <td nowrap ><span class="Estilo33">Sel.</span></td>
	   <td nowrap><span class="Estilo33">Dia </span></td>
       <td nowrap class="Estilo33">Clasificacion</td>
       <td nowrap><span class="Estilo33">Porciones</span></td>
       <td nowrap class="Estilo33">Receta</td>
       <td nowrap class="Estilo33">Pre. Uni. </td>
      <td nowrap class="Estilo33">Total</td>
    </tr>
    <?php

		//Codigo Mostrar Detalle
		$subTotDoc=0.00;
		$ivaTotDoc=0.00;
		$totDoc=0.00;
		$subTotPar=0.00;
		$ivaTotPar=0.00;
		$totPar=0.00;
		$tipCar='-1';
		$contador=0;
		while($dt_detfac=mysqli_fetch_array($sq_detfac)){
			$contador++;

			if($dt_detfac['idDedMen']!=$bSel){
				echo'<tr>
					<td class="detailRowTable" rowspan="2"><div align="center">
						<input type="radio" name="bot_det" id="bot_det" value="'.$dt_detfac['idDedMen'].'">
					</div></td>
					<td class="detailRowTable" ><div align="right">
							'.whatDay($dt_detfac['fecMen']).' '.chfecha($dt_detfac['fecMen'],'Y-m-d','d/m/Y').'&nbsp;
					</div></td>					
					<td class="detailRowTable" ><div align="right">
							'.$dt_detfac['desClaRec'].'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="right">
							'.$dt_detfac['porMen'].'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="left">
							'.$dt_detfac['desReceta'].'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="right">
							'.number_format($dt_detfac['preUni'],2,'.',',').'&nbsp;
					</div></td>

					<td class="detailRowTable" ><div align="right">
							'.number_format($dt_detfac['totDet'],2,'.',',').'&nbsp;
					</div></td>
					</tr>';
					echo '<tr>
							<td  class="detailRowTableObs"  colspan="8"><pre>'."$dt_detfac['obsOpe']".'</pre></td>
						</tr>';
					$subTotDoc +=$dt_detfac['subDet'];
					$ivaTotDoc +=$dt_detfac['ivaDet'];
					$totDoc +=$dt_detfac['totDet'];
				}
		}
		echo '<tr><td colspan="9">&nbsp;</td></tr>
			<tr>
			<td colspan="6" class="inputcodigo"><div align="right">Total General: &nbsp;</div></td>
			<td colspan="1" class="inputcodigo"><div align="right">'.number_format($totDoc,2,'.',',').'</div></td>
			</tr>';		
		
	?>
	<tr>
	 	<td colspan="7"><div align="center"><input type="submit" name="terminarCaptura" id="terminarCaptura" value="Guardar">
	 	</div></td>
	</tr>
  </table>

</form>
</body>
</html>
